Bug 246218 - Is public static final String AUTH_COOKIE_NAME needed?
Summary: Is public static final String AUTH_COOKIE_NAME needed?
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other   
(Show other bugs)
Version: 500
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 248627
TreeView+ depends on / blocked
 
Reported: 2007-06-29 10:27 UTC by Jan Pazdziora
Modified: 2008-04-03 00:18 UTC (History)
0 users

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 00:18:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Pazdziora 2007-06-29 10:27:25 UTC
Description of problem:

I was investigating the request from

http://post-office.corp.redhat.com/archives/rhn-satellite/2007-June/msg00079.html

By grepping the SVN for 'rh_auth_token', I found it used in

java/code/src/com/redhat/rhn/frontend/struts/RhnHelper.java:    public static
final String AUTH_COOKIE_NAME = "rh_auth_token";
java/code/src/com/redhat/rhn/frontend/struts/RequestContext.java:    public
static final String AUTH_COOKIE_NAME = "rh_auth_token";

But AUTH_COOKIE_NAME is not to be found anywhere else. Should we be able to
remove it from the source code? The problem reported in that mailing-list post
is no longer present on Satellite 5.0.0, so I assume we've removed the use of
these but not the declaration.

Version-Release number of selected component (if applicable):

SVN trunk as of today (revision 117910).

How reproducible:

Looked at the source code.

Steps to Reproduce:
1. Grepped the source AUTH_COOKIE_NAME.
  
Actual results:

In the Java code, it is only found in frontend/struts/RhnHelper.java and
frontend/struts/RequestContext.java as declarations. It does not seem to be used
anywhere.

Expected results:


Additional info:

Comment 1 Jan Pazdziora 2007-10-09 09:43:13 UTC
Reassigning to myself.

This got all three acks so I assume we want this change to happen.

Committed to SVN, trunk, revision 132727.

Comment 2 Jan Pazdziora 2007-10-09 18:49:51 UTC
Moving ON_QA, with:

Satellite 5.1.0-14 Content now available in qa Channels.

Satellite 5.1.0-14 ISOs are now available as
rhn-satellite-5.1.0-14-redhat-linux-as-* @:

http://barn.rhndev.redhat.com/satellite-isos/devel/satellite-5.1/


Comment 3 Preethi Thomas 2007-10-29 15:42:47 UTC
verified.
TP
Fetch the rhn-java-sat.src.rpm, install it, go to the SPECS directory, run rpm
-bp ....spec, go to SOURCES directory, grep -r the source and see if that string
is gone.
adelton Preethi_afk: ^^^ would approximately be the way I'd do it.
adelton Preethi_afk: s/rpm -bp/rpmbuild -bp/


Comment 4 Brandon Perkins 2008-04-03 00:18:39 UTC
5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.